package com.tencent.mm.plugin.appbrand.ipc;

import android.os.Parcel;
import android.os.Parcelable;

public abstract class AppBrandProxyUIProcessTask$ProcessRequest implements Parcelable {
    public abstract Class<? extends AppBrandProxyUIProcessTask> aCa();

    public AppBrandProxyUIProcessTask$ProcessRequest(Parcel parcel) {
        k(parcel);
    }

    /* Access modifiers changed, original: protected */
    public boolean aBY() {
        return false;
    }

    /* Access modifiers changed, original: protected */
    public String aBZ() {
        return null;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
    }

    /* Access modifiers changed, original: protected */
    public void k(Parcel parcel) {
    }
}
